Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update support ticket note

PATCH/workspaces/{organizationId}/support/tickets/{ticketId}/notes/{eventId}
Path parameters
organizationIdstringrequired
ticketIdstringrequired
eventIdstringrequired
Request body
application/json
bodystringrequired
min length 1
Responses
200

Note updated

eventobjectrequired
Show properties
idstringrequired
ticketIdstringrequired
typestringrequired
subTypestring | nullrequired
actorTypestringrequired
actorIdstring | nullrequired
metadatastring | nullrequired
externalIdstring | nullrequired
createdAtstringrequired
messageobject
Show properties
idstringrequired
eventIdstringrequired
directionstringrequired
Allowed:inboundoutbound
textContentstringrequired
markdownContentstring | nullrequired
channelstringrequired
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplainlinearsms
customerIdstring | nullrequired
userIdstring | nullrequired
noteobject
Show properties
idstringrequired
eventIdstringrequired
bodystringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/workspaces/string/support/tickets/string/notes/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "string"
}'
Response
{
  "event": {
    "id": "string",
    "ticketId": "string",
    "type": "string",
    "subType": "string",
    "actorType": "string",
    "actorId": "string",
    "metadata": "string",
    "externalId": "string",
    "createdAt": "string",
    "message": {
      "id": "string",
      "eventId": "string",
      "direction": "inbound",
      "textContent": "string",
      "markdownContent": "string",
      "channel": "email",
      "customerId": "string",
      "userId": "string"
    },
    "note": {
      "id": "string",
      "eventId": "string",
      "body": "string"
    }
  }
}